%global goipath github.com/go-ldap/ldap
Version:        3.0.2

%gometa

%global v3_goipath     gopkg.in/v3/go-ldap/ldap
%global v3_goipath_sec gopkg.in/ldap.v3

%global v3_goipath_name %gorpmname %{v3_goipath}
%global v3_goipath_sec_name %gorpmname %{v3_goipath_sec}

Name:           %{goname}-v3
Release:        2%{?dist}
Summary:        Basic LDAP v3 functionality for Go
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(gopkg.in/asn1-ber.v1)

%description
%{summary}.


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}.

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.

%package -n %{v3_goipath_name}-devel
Summary:       %{summary}
BuildArch:     noarch

%description -n %{v3_goipath_name}-devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{v3_goipath} prefix.

%package -n %{v3_goipath_sec_name}-devel
Summary:       %{summary}
BuildArch:     noarch

%description -n %{v3_goipath_sec_name}-devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{v3_goipath_sec} prefix.


%prep
%forgeautosetup -p1
rm ldap_test.go	# accesses network services on ldap.itd.umich.edu


%install
%goinstall
%goinstall -i %{v3_goipath} -o v3-devel.file-list
%goinstall -i %{v3_goipath_sec} -o v3-sec-devel.file-list


%check
%gochecks


%files devel -f devel.file-list
%doc README.md
%license LICENSE

%files -n %{v3_goipath_name}-devel -f v3-devel.file-list
%license LICENSE
%doc README.md

%files -n %{v3_goipath_sec_name}-devel -f v3-sec-devel.file-list
%license LICENSE
%doc README.md


%changelog
* Mon Apr 01 2019 Nathan Scott <nathans@redhat.com> - 3.0.2-2
- Updated with alternate (gopkg.in/ldap.v3) sub-package

* Fri Mar 29 2019 Nathan Scott <nathans@redhat.com> - 3.0.2-1
- First package for Fedora
